package test;

import javax.inject.Inject;

import org.jboss.arquillian.api.Deployment;
import org.jboss.arquillian.testng.Arquillian;
import org.jboss.shrinkwrap.api.ShrinkWrap;
import org.jboss.shrinkwrap.api.asset.EmptyAsset;
import org.jboss.shrinkwrap.api.spec.JavaArchive;
import org.testng.annotations.Test;

@Test(groups = "main-group")
public class ArquillianTest extends Arquillian {
    
    @Inject
    private Y y;

    @Deployment
    public static JavaArchive createDeployment() {
        return ShrinkWrap.create(JavaArchive.class).addClasses(X.class, Y.class).add(EmptyAsset.INSTANCE, "beans.xml");
    }

    public void someTest() {
        y.doSomething();
    }

}
